<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class meetings_SINGLE_Controller extends Controller
{
    public $selfName = 'meetings_SINGLE_Controller';

	// GET /meetings/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('meeting')->where('uid', $uid)->first();
		return view('admin/meetings_SINGLE/SUB_dashboard', compact('record'));
	}

	// GET /meetings/view/{uid}/SUB_meeting_participants
	public function SUB_meeting_participants(Request $request, $uid) {
		$record = DB::table('meeting')->where('uid', $uid)->first();
		$subRecords = DB::table('meeting_participant')->where('meeting_id', $record->id)->get();
		return view('admin/meetings_SINGLE/SUB_meeting_participants', compact('record', 'subRecords'));
	}

	// GET /meetings/view/{uid}/SUB_meeting_invitations
	public function SUB_meeting_invitations(Request $request, $uid) {
		$record = DB::table('meeting')->where('uid', $uid)->first();
		$subRecords = DB::table('meeting_invitation')->where('meeting_id', $record->id)->get();
		return view('admin/meetings_SINGLE/SUB_meeting_invitations', compact('record', 'subRecords'));
	}

	// GET /meetings/view/{uid}/SUB_meeting_rings
	public function SUB_meeting_rings(Request $request, $uid) {
		$record = DB::table('meeting')->where('uid', $uid)->first();
		$subRecords = DB::table('meeting_ring')->where('meeting_id', $record->id)->get();
		return view('admin/meetings_SINGLE/SUB_meeting_rings', compact('record', 'subRecords'));
	}

	// GET /meetings/view/{uid}/SUB_meeting_knocks
	public function SUB_meeting_knocks(Request $request, $uid) {
		$record = DB::table('meeting')->where('uid', $uid)->first();
		$subRecords = DB::table('meeting_knock')->where('meeting_id', $record->id)->get();
		return view('admin/meetings_SINGLE/SUB_meeting_knocks', compact('record', 'subRecords'));
	}

	// GET /meetings/view/{uid}/SUB_meeting_messages
	public function SUB_meeting_messages(Request $request, $uid) {
		$record = DB::table('meeting')->where('uid', $uid)->first();
		$subRecords = DB::table('meeting_message')->where('meeting_id', $record->id)->get();
		return view('admin/meetings_SINGLE/SUB_meeting_messages', compact('record', 'subRecords'));
	}
}
